- [HTTP request](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities.partitions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities.partitions/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities.partitions/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities.partitions/list#body.request_body)
- [Response body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities.partitions/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities.partitions/list#body.ListPartitionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities.partitions/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities.partitions/list#try-it)

List metadata partitions of an entity.

### HTTP request

`GET https://dataplex.googleapis.com/v1/{parent=projects/*/locations/*/lakes/*/zones/*/entities/*}/partitions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the parent entity: `projects/{projectNumber}/locations/{locationId}/lakes/{lakeId}/zones/{zoneId}/entities/{entityId}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `dataplex.partitions.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Maximum number of partitions to return. The service may return fewer than this value. If unspecified, 100 partitions will be returned by default. The maximum page size is 500; larger values will will be truncated to 500. |
| `pageToken` | `string` Optional. Page token received from a previous `partitions.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `partitions.list` must match the call that provided the page token. |
| `filter` | `string` Optional. Filter the partitions returned to the caller using a key value pair expression. Supported operators and syntax: - logic operators: AND, OR - comparison operators: \<, \>, \>=, \<= ,=, != - LIKE operators: - The right hand of a LIKE operator supports "." and "\*" for wildcard searches, for example "value1 LIKE ".\*oo.\*" - parenthetical grouping: ( ) Sample filter expression: \`?filter="key1 \< value1 OR key2 \> value2" **Notes:** - Keys to the left of operators are case insensitive. - Partition results are sorted first by creation time, then by lexicographic order. - Up to 20 key value filter pairs are allowed, but due to performance considerations, only the first 10 will be used as a filter. |

### Request body

The request body must be empty.

### Response body

List metadata partitions response.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "partitions": [ { object (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities.partitions#Partition`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `partitions[]` | ``object (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities.partitions#Partition`)`` Partitions under the specified parent entity. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no remaining results in the list. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dataplex.read-write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).